Package io.milvus.exception

## Class MilvusException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.milvus.exception.MilvusException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ClientNotConnectedException`, `IllegalResponseException`, `ParamException`, `ServerException`

      public class MilvusException
      extends java.lang.RuntimeException

  Base class of Milvus exceptions.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.Integer` | `status` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MilvusException​(java.lang.String msg, java.lang.Integer status)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Integer` | `getStatus()` |
    `void` | `setStatus​(java.lang.Integer status)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### status

          protected java.lang.Integer status

  - ### Constructor Detail

    - #### MilvusException

          public MilvusException​(java.lang.String msg,
                                 java.lang.Integer status)

  - ### Method Detail

    - #### getStatus

          public java.lang.Integer getStatus()

    - #### setStatus

          public void setStatus​(java.lang.Integer status)